function observer = compensator_init(A, B, C, D, h_t)

[n, m] = size(B);

L = solve_lq(A', C')';
F = solve_lq(A, B);

es_BF = eig(A+B*F);
es_LC = eig(A+L*C);

[~, sort_perm] = sort(real(es_BF));
es_BF = es_BF(sort_perm);
bad_BF = es_BF(end-4:end)

[~, sort_perm] = sort(real(es_LC));
es_LC = es_LC(sort_perm);
bad_LC = es_LC(end-4:end)

observer.A    = A;
observer.B    = B;
observer.C    = C;
observer.D    = D;
observer.h_t  = h_t;

observer.L    = L;
observer.F    = F;

observer.z0   = zeros(n, 1);

observer.feedback = @(t) zeros(m, 1);
observer.old_feedback = @(t) zeros(m, 1);
